function pf = pfGet(axisHandle)
% Extracts the polygons that are drawn in the figure.
% 
% pf = pfGet;
% 

% A. Torralba

if nargin == 0
    axisHandle = gca;
end

handles = get(axisHandle, 'children');

Nhandles = size(handles, 1);
polygon = 0;
pf = [];
for i = 1:Nhandles
    i
    class = get(handles(i), 'tag');
    if ~isempty(class)
        X =  get (handles(i), 'XData');
        Y =  get (handles(i), 'YData');
        
        polygon = polygon + 1;
        
        pf(polygon).class = class;
        pf(polygon).polygon = sprintf('Polygon %d', polygon);
        pf(polygon).vertices = [X(1:end-1); Y(1:end-1)];
        
        oldpf = get(handles(i), 'userdata');
        if isfield(oldpf, 'view')
            pf(polygon).view = oldpf.view;
        end
        if isfield(oldpf, 'labels')
            pf(polygon).labels = oldpf.labels;
        end
    end
end



