function DB = filterDB(DB, keys)
% Returns only the objects and frames selected in keys.
%
% For instace, to visualize all images that contain frontalscreens and
% keyboards you can use these three lines:
%   keys = queryDB(DB, 'findObject', 'frontalScreen', 'keyboard');
%   DB2 = filterDB(DB, keys);
%   showImages(DB2)
%
% DB2 now only contains frames with screens and keyboards

Nframes = length([keys(:).frame]);

% 1) Select frames:
DB.frame = DB.frame([keys(:).frame]);


% 2) Take only the objects selected. Note that if length(keys(i).objects)==0, then
% this means that no objects were selected and therefore all are valid.
for i = 1:Nframes
    if length(keys(i).objects)>0
        objects = DB.frame(i).objects;
        DB.frame(i).objects = objects(keys(i).objects);
    end
end


