function ratio = getShapeStatistics(DB, keys)
% this function provides the average aspect ratio of the rectangular
% bounding box that delimits each instance.

NPositiveFrames = length(keys); 
for j = 1:NPositiveFrames
    f = keys(j).frame;
    rectangle = DB.frame(f).objects(keys(j).objects(1)).bbox;
    xmin  = rectangle(1); xmax  = rectangle(2); Dx = xmax - xmin;
    ymin  = rectangle(3); ymax  = rectangle(4); Dy = ymax - ymin;
    ratio(j) = Dx / Dy;
end

ratio = median(ratio(:))
